<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">

		var Persona=function(){
			this.peso=20;
			this.nombre="padre";
		}

		var Mujer=function(){
			this.altura=180;
			this.nombre="hija";

			this.mujer=function(){
				//Persona.call(this); // sobreescritura, en el hijo sobreescribo un miembro del padre. NO mantiene la jerarquía
			};
			this.mujer();
		};
		
		Mujer.prototype=new Persona(); //mantiene la jerarquía

		var objeto=new Mujer();
		console.log(objeto.nombre);
		console.log(objeto.__proto__.nombre);
		console.log(objeto);
	</script>
</head>
<body>
	
</body>
</html>